From: Daniel Castelo

diff -u -r -N sugar-0.88.1-copy/extensions/cpsection/network/model.py sugar-0.88.1/extensions/cpsection/network/model.py
--- sugar-0.88.1-copy/extensions/cpsection/network/model.py	2010-02-20 14:47:08.000000000 -0200
+++ sugar-0.88.1/extensions/cpsection/network/model.py	2010-07-28 19:55:53.067894000 -0300
@@ -15,10 +15,15 @@
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 #
 
+import logging
+import os
+
 import dbus
 from gettext import gettext as _
 import gconf
 
+from sugar import env
+
 _NM_SERVICE = 'org.freedesktop.NetworkManager'
 _NM_PATH = '/org/freedesktop/NetworkManager'
 _NM_IFACE = 'org.freedesktop.NetworkManager'
@@ -116,7 +121,15 @@
 def clear_networks():
     """Clear saved passwords and network configurations.
     """
-    pass
+    profile_path = env.get_profile_path()
+    config_path = os.path.join(profile_path, 'nm', 'connections.cfg')
+    config_file = open(config_path, 'w')  
+    try:
+        config_file.write('')
+    except:
+        logging.exception('Can not write %s', config_path)
+        f.close()
+    return 1
 
 def get_publish_information():
     client = gconf.client_get_default()
diff -u -r -N sugar-0.88.1-copy/extensions/cpsection/network/view.py sugar-0.88.1/extensions/cpsection/network/view.py
--- sugar-0.88.1-copy/extensions/cpsection/network/view.py	2010-02-20 14:47:08.000000000 -0200
+++ sugar-0.88.1/extensions/cpsection/network/view.py	2010-07-28 19:54:18.746893000 -0300
@@ -248,3 +248,4 @@
 
     def __network_configuration_reset_cb(self, widget):
         self._model.clear_networks()
+        self.needs_restart = True
